.upload-complete-form {
    align-items: center;
    animation: fadeIn 0.5s ease-out;
    background-color: var(--color-form-bg);
    background-image: url("../../images/form_background_waves_triple.svg");
    background-position: bottom;
    border-radius: 20px;
    box-shadow: var(--shadow-input);
    display: flex;
}

.upload-complete-form__right-side {
    flex-grow: 1;
}

.upload-complete-form__copy-area {
    align-items: center;
    background-color: var(--color-input-bg);
    border-radius: 10px;
    box-shadow: var(--shadow-input);
    display: flex;
    justify-content: space-between;
    overflow: hidden;
    padding-inline: 0.5rem;
}

.upload-complete-form__text-input {
    color: var(--color-link-active);
    cursor: pointer;
    flex-grow: 1;
    overflow: hidden;
    padding: 1rem;
    text-decoration: underline;
    text-decoration-thickness: 1px;
    text-overflow: ellipsis;
    text-underline-offset: 5px;
    text-wrap: nowrap;
}

.upload-complete-form__copy-button {
    align-items: center;
    border-radius: 50%;
    cursor: pointer;
    display: flex;
    font-size: 1.5rem;
    height: 35px;
    justify-content: center;
    width: 35px;
}

.upload-complete-form__upload-another{
    display: block;
    width: 12em;
}

.upload-complete-form__copy-button:hover {
    color: var(--color-input-primary);
}

/* xs */
@media screen and (min-width: 320px) {
    .upload-complete-form {
        flex-direction: column;
        padding-block-end: 20px;
    }

    .upload-complete-form__image {
        height: 120px;
        margin-bottom: 1rem;
        width: 120px;
    }

    .upload-complete-form__right-side {
        width: 100%;
    }
}

/* md */
@media screen and (min-width: 448px) {
    .upload-complete-form__image {
        height: 150px;
        margin-bottom: 0;
        width: 150px;
    }

    .upload-complete-form__info {
        font-size: 1rem;
    }

    .upload-complete-form__text-input {
        font-size: 1rem;
    }
}

/* xl */
@media screen and (min-width: 576px) {
    .upload-complete-form__image {
        height: 180px;
        width: 180px;
    }

    .upload-complete-form__info {
        font-size: 1.25rem;
    }

    .upload-complete-form__text-input {
        font-size: 1.25rem;
    }
}

/* 3xl */
@media screen and (min-width: 768px) {
    .upload-complete-form {
        flex-direction: row;
        padding-block-start: 20px;
    }

    .upload-complete-form__info {
        font-size: 1.5rem;
    }

    .upload-complete-form__text-input {
        font-size: 1.5rem;
    }
}

/* 5xl */
@media screen and (min-width: 1024px) {
    .upload-complete-form {
        padding-block-end: 0px;
        padding-block-start: 0px;
    }

    .upload-complete-form__image {
        height: 230px;
        width: 230px;
    }

    .upload-complete-form__copy-area {
        max-width: 576px;
    }
}